Subject: bug#7086: `booleanp' return value is multi-valued list

From: Juanma Barranquero <[email-masked]>
Date: Thu, 23 Sep 2010 12:31:21 +0200

On Thu, Sep 23, 2010 at 06:22, MON KEY <[email-masked]> wrote:

> I'm pretty sure returning a single value is NTRT and can only generate
> confusion e.g.:

No. Returning a single value is what is *expected* of a type predicate
in Emacs Lisp, and so far it hasn't apparently generated any
confusion.

    Juanma